=== test/filter_iterator/CMakeLists.txt ===
VIGRA_ADD_TEST(test_filter_iterator test.cxx)
