=== test/seededRegionGrowing3d/CMakeLists.txt ===
VIGRA_ADD_TEST(test_seededRegionGrowing3d test.cxx LIBRARIES vigraimpex)
