=== test/random_forest_3/data/CMakeLists.txt ===
VIGRA_COPY_TEST_DATA(rf.h5)
