=== vigranumpy/src/fourier/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${SUPPRESS_WARNINGS} ${VIGRANUMPY_INCLUDE_DIRS} ${FFTW3_INCLUDE_DIR})

VIGRA_ADD_NUMPY_MODULE(fourier
  SOURCES
    fourier.cxx
  LIBRARIES
    ${FFTW3_LIBRARIES}
    ${FFTW3F_LIBRARIES}
    ${VIGRANUMPY_THREAD_LIBRARIES}
  VIGRANUMPY)
