=== debian/changelog ===
libvigraimpex (1.12.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 25 Mar 2025 19:17:28 +0100

libvigraimpex (1.12.2+dfsg-1) experimental; urgency=medium

  * New upstream version:
    + Drop 56_python311.diff.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 21 Mar 2025 11:09:42 +0100

libvigraimpex (1.12.1+dfsg-3) unstable; urgency=medium

  * Drop vigra python suppport, needs upstream changes for Numpy 2.
    Fixes FTBFS (Closes: #1094371) and makes python3-sphinx segfault
    unreproducible. (Closes: #1094932)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 15 Feb 2025 06:46:16 +0100

libvigraimpex (1.12.1+dfsg-2) experimental; urgency=medium

  [ Adrian Bunk ]
  * rules: Remove the no longer required armel threading workaround. MR !1

  [ Andreas Metzler ]
  * Use official CamelCased python cmake artifact names.
  * work around cmake numpy breakage by explictly setting
    DPython_NumPy_INCLUDE_DIR.
  * Upload to experimental to have a testcase for sphinx bug #1094932.

 -- Andreas Metzler <ametzler@debian.org>  Mon, 03 Feb 2025 18:21:51 +0100

libvigraimpex (1.11.2+git202408-97744d3f2a+dfsg-1) experimental; urgency=low

  [ Alexandre Detiste ]
  * fix watch file.
  * apply Multi-Arch hint.

  [ Andreas Metzler ]
  * Tar up upstream GIT master as of 97744d3f2a.
    + Drop 60_01-Enforce-using-C-11.patch.
    + Add b-d on python3-pytest.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 31 Aug 2024 15:50:28 +0200
