=== debian/watch ===
version=4
opts=uversionmangle=s/-/./g,\
dversionmangle=s/\+dfsg\d*$//,\
repacksuffix=+dfsg \
https://github.com/ukoethe/vigra/tags (?:.*/)Version-([\d-]+).tar.gz
