## libvigraimpex 1.12.3+dfsg

=== debian/changelog ===
libvigraimpex (1.12.3+dfsg-2) unstable; urgency=medium

  * [lintian] Drop redundant priority optional field.
  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 21 Feb 2026 13:39:54 +0100

libvigraimpex (1.12.3+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * [lintian] drop redundant Rules-Requires-Root: no

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Dec 2025 15:46:45 +0100
