=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Andreas Metzler <ametzler@debian.org>,
 Section: libs
-Priority: optional
 Build-Depends:
  cmake (>= 3.12),
  debhelper-compat (= 13),
@@ -18,8 +17,7 @@
  ghostscript,
  texlive-latex-base,
  texlive-latex-extra,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/libvigraimpex
 Vcs-Git: https://salsa.debian.org/science-team/libvigraimpex.git
 Homepage: https://ukoethe.github.io/vigra/
